curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/alert-rules \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"source": "MANAGED",
"name": "<string>",
"state": "UNDEPLOYED",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"tag": "<string>",
"condition": {
"kind": "CUSTOM",
"promql": "<string>",
"operator": "NONE",
"threshold": 123,
"function": "NONE"
},
"for_duration": "<string>",
"severity": "LOW",
"enabled": true,
"alert_receiver_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"presentation": {
"summary": "<string>",
"runbook_url": "<string>"
},
"target": {
"target_type": " CLUSTER",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"icon_uri": "<string>",
"service_type": "APPLICATION",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_type": "CRON"
}
},
"is_up_to_date": true,
"updated_at": "2023-11-07T05:31:56Z",
"starts_at": "2023-11-07T05:31:56Z"
}
]
}Retrieve all alert rules for a specific organization
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/alert-rules \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"source": "MANAGED",
"name": "<string>",
"state": "UNDEPLOYED",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"tag": "<string>",
"condition": {
"kind": "CUSTOM",
"promql": "<string>",
"operator": "NONE",
"threshold": 123,
"function": "NONE"
},
"for_duration": "<string>",
"severity": "LOW",
"enabled": true,
"alert_receiver_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"presentation": {
"summary": "<string>",
"runbook_url": "<string>"
},
"target": {
"target_type": " CLUSTER",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"icon_uri": "<string>",
"service_type": "APPLICATION",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_type": "CRON"
}
},
"is_up_to_date": true,
"updated_at": "2023-11-07T05:31:56Z",
"starts_at": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
OK
Base schema for alert rule responses with discriminator
Show child attributes
Was this page helpful?